{
  "name": "center-resource",
  "version": "0.0.0",
  "type": "module",
  "scripts": {
    "dev": "vite --mode dev",
    "build": "vue-tsc --noEmit && vite build --mode prod && npm run deploy",
    "build:test": "vue-tsc --noEmit && vite build --mode test",
    "build:pre": "vue-tsc --noEmit && vite build --mode pre",
    "preview": "vite preview --port 4173",
    "typecheck": "vue-tsc --noEmit",
    "lint": "eslint . --ext .vue,.js,.jsx,.cjs,.mjs,.ts,.tsx,.cts,.mts --fix --ignore-path .gitignore",
    "deploy": "node ./deploy.js",
    "cert": "node ./cert.js"
  },
  "dependencies": {
    "@element-plus/icons-vue": "^2.0.4",
    "@tinymce/tinymce-vue": "^5.0.0",
    "axios": "^0.27.2",
    "blueimp-md5": "^2.19.0",
    "dayjs": "^1.11.3",
    "echarts": "^5.3.2",
    "element-plus": "^2.2.9",
    "lodash-es": "^4.17.21",
    "pinia": "^2.0.14",
    "qs": "^6.10.5",
    "sortablejs": "^1.15.0",
    "video.js": "^7.19.2",
    "vue": "^3.2.37",
    "vue-router": "^4.0.16"
  },
  "devDependencies": {
    "@rushstack/eslint-patch": "^1.1.3",
    "@types/blueimp-md5": "^2.18.0",
    "@types/node": "^17.0.35",
    "@types/qs": "^6.9.7",
    "@types/sortablejs": "^1.13.0",
    "@vitejs/plugin-vue": "^3.2.0",
    "@vue/eslint-config-typescript": "^10.0.0",
    "@vue/tsconfig": "^0.1.3",
    "ali-oss": "^6.17.1",
    "chalk": "^5.0.1",
    "eslint": "^8.16.0",
    "eslint-plugin-vue": "^8.7.1",
    "sass": "^1.52.1",
    "typescript": "~4.7.2",
    "unplugin-auto-import": "^0.9.2",
    "vite": "^3.2.11",
    "vite-plugin-checker": "^0.4.9",
    "vite-plugin-mkcert": "^1.17.6",
    "vue-tsc": "^0.34.16"
  }
}
